Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modules
Class ButtonBar

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--modules.ButtonBar

public class ButtonBar
extends java.awt.Panel
implements Module

This class implements a programmable button bar. You can add Buttons and Input fields to trigger actions in the telnet applet. On how to load a module, please refer to the telnet documentation.

Buttons:
  `<PARAM NAME=number#Button VALUE="buttontext|buttonaction">`
  number is the sequence number and determines the place of the button on the row.

  buttontext is a string displayed on the button.

  buttonaction may be one of the following functions or strings
  (Note: the backslash character in front of the dollar sign is mandatory!)
  - `simple text` to be sent to the remote host. Newline and/or carriage return characters may be added in C syntax \n and \r. To support unimplemented function keys the \e escape character may be useful. The \b backspace character is also supported. The text may contain field reference(s).

  - `\$connect(host[,port])` tries to initiate a connection to the host at the port, if given. The standard port is 23. host and port may be hostname and number or field reference(s). If a connection already exists nothing will happen.
    (Note: It is not allowed to have spaces anywhere inside the parenthesis!)

  - `\$disconnect()` terminates the current connection, but if there was no connection nothing will happen.

  - `\$detach()` detaches the applet from the web browser window and creates a new frame externally. This may be used to allow users to use the applet while browsing the web with the same browser window.
    (Note: You need to load the applet via the appWrapper class or it will not work properly!)
  Examples:
  (Note: It makes sense if you look at the examples for input fields below.)

              <PARAM NAME=1#Button VALUE="HELP!|help\r\n">
              <PARAM NAME=2#Button VALUE="HELP:|help \@help@\r\n">
              <PARAM NAME=4#Button VALUE="simple|\$connect(localhost)">
              <PARAM NAME=5#Button VALUE="complete|\$connect(www,4711)">
              <PARAM NAME=6#Button VALUE="connect|\$connect(\@address@)">
              <PARAM NAME=8#Button VALUE="connect to port|\$connect(\@address@,\@port@)">
              <PARAM NAME=10#Button VALUE="window|\$detach()">

Input fields
  `<PARAM NAME=number#Input VALUE="fieldname[#length]|initial text[|action]">`
  number is the sequence number and determines the place of the field on the row.

  fieldname is a symbolic name to reference the input field. A reference may be used in button actions and is constructed as follows: `\@fieldname@` The \@fieldname@ macro will be replaced by the string entered in the text field.

  length is the length of the input field in numbers of characters.

  initial text is the text to be placed into the input field on startup
  action may be used similar to a button action. This action will be used if the users presses Return in the inputfield. Leave empty if you only want to use a button to send the text!
  Examples:
  (Note: It makes sense if you look at the examples for buttons before.)

              <PARAM NAME=3#Input VALUE="help#10|">
              <PARAM NAME=7#Input VALUE="address|www.first.gmd.de">
              <PARAM NAME=8#Input VALUE="send#5|who|\@send@\r\n">
              <PARAM NAME=9#Input VALUE="port#5|4711">

Version:
  $Id: ButtonBar.html,v 1.1.1.1 2005/09/25 22:40:20 rswindell Exp $
Author:
  Matthias L. Jugel, Marcus Meißner
See Also:
  `Module`, Serialized Form

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`ButtonBar()`

Method Summary
`void` | `addNotify()` create the buttonbar from the parameter list.
`void` | `connect(java.lang.String host, int port)` If the applet connects this method is called.
`void` | `disconnect()` Get notified of disconnection.
`boolean` | `handleEvent(java.awt.Event evt)`
`java.lang.String` | `receive(java.lang.String s)` This module does not take any input.
`void` | `setLoader(java.lang.Object o)` This method is called by our loader to notify us of it.

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonBar

    public ButtonBar()

Method Detail

### setLoader

    public void setLoader(java.lang.Object o)

  This method is called by our loader to notify us of it.
  Specified by:
    setLoader in interface Module
  Parameters:
    `o` - The object that has loaded this object.
  See Also:
    `display.Module`

### connect

    public void connect(java.lang.String host,
                        int port)

  If the applet connects this method is called.
  Specified by:
    connect in interface Module
  Parameters:
    `host` - remote hostaddress - not used
    `port` - remote port - not used

### disconnect

    public void disconnect()

  Get notified of disconnection. Do nothing.
  Specified by:
    disconnect in interface Module

### receive

    public java.lang.String receive(java.lang.String s)

  This module does not take any input. It works passive.
  Specified by:
    receive in interface Module
  Returns:
    null to remove from the list of receiver modules.
  See Also:
    `display.Module`

### addNotify

    public void addNotify()

  create the buttonbar from the parameter list. We will know our parent, when we have been added.
  Overrides:
    addNotify in class java.awt.Panel

### handleEvent

    public boolean handleEvent(java.awt.Event evt)

  Overrides:
    handleEvent in class java.awt.Component

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD